Bug 456678 - Review Request: honeyd-1.5c-2.src.rpm - Honeypot daemon
Review Request: honeyd-1.5c-2.src.rpm - Honeypot daemon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 10:47 EDT by Peter Vrabec
Modified: 2008-08-12 09:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 09:06:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2008-07-25 10:47:28 EDT
Spec URL: people.redhat.com/pvrabec/rpms/honeyd.spec
SRPM URL: people.redhat.com/pvrabec/rpms/honeyd-1.5c-2.src.rpm
Description: Honeyd is a small daemon that creates virtual hosts on a network.
The hosts can be configured to run arbitrary services, and their TCP personality can be adapted so that they appear to be running certain versions of operating systems. Honeyd enables a single host to claim multiple addresses on a LAN for network simulation.
Comment 1 Dan Horák 2008-08-01 05:28:51 EDT
formal review is here, please read the notes bellow

OK	source files match upstream:
	    e827ada394aff91f9c539cee35e946e81152426c  arpd-0.2.tar.gz
	    342cc53e8d23c84ecb91c7b66c6e93e7ed2a992a  honeyd-1.5c.tar.gz
OK	package meets naming and versioning guidelines.
BAD	specfile is properly named, is cleanly written and uses macros consistently.
BAD	dist tag is present.
OK	build root is correct.
BAD	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
BAD	BuildRequires are proper.
BAD	compiler flags are appropriate.
OK	%clean is present.
BAD	package builds in mock (Rawhide/x86_64).
??	debuginfo package looks complete.
??	rpmlint is silent.
??	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- you should standardize on using one of %{buildroot} and $RPM_BUILD_ROOT
- you should add the %dist tag
- arpd is licensed under BSD, so the right license tag is "GPLv2+ and BSD"
- missing BR: readline-devel, zlib-devel
- aprd doesn't build on 64-bit platforms (it checks for libevent and libpcap
only in ${prefix}/lib and checks for static lib only)
- CFLAGS are reset to "" in configure.in
Comment 4 Dan Horák 2008-08-08 05:36:07 EDT
formal review of the last revision:

OK	source files match upstream:
	    e827ada394aff91f9c539cee35e946e81152426c  arpd-0.2.tar.gz
	    342cc53e8d23c84ecb91c7b66c6e93e7ed2a992a  honeyd-1.5c.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED
Comment 5 Peter Vrabec 2008-08-08 11:15:48 EDT
New Package CVS Request
=======================
Package Name: honeyd
Short Description: Honeypot daemon
Owners: pvrabec
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-08-09 21:13:50 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.